Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2174263002: Defer loads in new pages/frames if ScopedPageLoadDeferral is active (Closed)

Created:
3 years, 1 month ago by dcheng
Modified:
3 years ago
Reviewers:
Nate Chapin
CC:
alexmos, blink-reviews, chromium-reviews, gavinp+loader_chromium.org, haraken, Nate Chapin, jochen (gone - plz use gerrit), kinuko, kinuko+watch, kouhei (in TOK), loading-reviews_chromium.org, Mike West, Devlin, tyoshino+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Defer loads in new pages/frames if ScopedPageLoadDeferral is active BUG=628942 Committed: https://crrev.com/19ad54cb204cde45db95e773c5d54b04b2f178d4 Cr-Commit-Position: refs/heads/master@{#408354}

Patch Set 1 #

Patch Set 2 : . #

Patch Set 3 : hammer #

Total comments: 3

Patch Set 4 : Make comment more accurate. #

Patch Set 5 : Don't leak pages #

Patch Set 6 : Simplify #

Total comments: 4

Patch Set 7 : Make the unfortunate hack slightly less ugly. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+77 lines, -22 lines) Patch
M third_party/WebKit/Source/core/loader/DocumentLoader.cpp View 1 chunk +3 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/loader/FrameLoader.cpp View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/page/Page.cpp View 1 2 3 4 5 2 chunks +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.h View 1 2 3 4 5 1 chunk +4 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp View 1 2 3 4 5 6 2 chunks +23 lines, -12 lines 0 comments Download
M third_party/WebKit/Source/web/tests/WebViewTest.cpp View 2 chunks +39 lines, -0 lines 0 comments Download

Messages

Total messages: 37 (22 generated)
dcheng
I'm not a huge fan of this patch but it does seem to work. +japhet ...
3 years, 1 month ago (2016-07-25 06:48:18 UTC) #4
dominicc (has gone to gerrit)
What's not to like? Deferral should nest. Getting rid of that unused exclusion thing looks ...
3 years, 1 month ago (2016-07-25 07:40:14 UTC) #7
dcheng
On 2016/07/25 07:40:14, dominicc wrote: > What's not to like? Deferral should nest. Getting rid ...
3 years, 1 month ago (2016-07-25 09:35:41 UTC) #12
dcheng
PTAL. I simplified things a little bit: since we only defer 'ordinary pages', I just ...
3 years ago (2016-07-27 08:12:11 UTC) #17
dcheng
+alexmos as FYI
3 years ago (2016-07-27 08:12:24 UTC) #18
Nate Chapin
LGTM...I guess. https://codereview.chromium.org/2174263002/diff/100001/third_party/WebKit/Source/core/loader/FrameLoader.cpp File third_party/WebKit/Source/core/loader/FrameLoader.cpp (right): https://codereview.chromium.org/2174263002/diff/100001/third_party/WebKit/Source/core/loader/FrameLoader.cpp#newcode210 third_party/WebKit/Source/core/loader/FrameLoader.cpp:210: if (m_frame->page() && m_frame->page()->defersLoading()) This makes me ...
3 years ago (2016-07-27 17:30:47 UTC) #19
dominicc (has gone to gerrit)
-r=me, japhet is a better person to review this!
3 years ago (2016-07-28 00:58:36 UTC) #21
dcheng
https://codereview.chromium.org/2174263002/diff/100001/third_party/WebKit/Source/core/loader/FrameLoader.cpp File third_party/WebKit/Source/core/loader/FrameLoader.cpp (right): https://codereview.chromium.org/2174263002/diff/100001/third_party/WebKit/Source/core/loader/FrameLoader.cpp#newcode210 third_party/WebKit/Source/core/loader/FrameLoader.cpp:210: if (m_frame->page() && m_frame->page()->defersLoading()) On 2016/07/27 17:30:47, Nate Chapin ...
3 years ago (2016-07-28 01:23:28 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2174263002/120001
3 years ago (2016-07-28 01:24:08 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/103280)
3 years ago (2016-07-28 01:46:18 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2174263002/120001
3 years ago (2016-07-28 02:15:31 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/263569)
3 years ago (2016-07-28 04:17:32 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2174263002/120001
3 years ago (2016-07-28 04:21:00 UTC) #33
commit-bot: I haz the power
Committed patchset #7 (id:120001)
3 years ago (2016-07-28 07:34:23 UTC) #35
commit-bot: I haz the power
3 years ago (2016-07-28 07:36:28 UTC) #37
Message was sent while issue was closed.
Patchset 7 (id:??) landed as
https://crrev.com/19ad54cb204cde45db95e773c5d54b04b2f178d4
Cr-Commit-Position: refs/heads/master@{#408354}

Powered by Google App Engine
This is Rietveld 408576698